<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <title>News feed page</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" href="https://www.w3schools.com/lib/w3-theme-blue-grey.css">
    <!--<link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Open+Sans'>-->
    <!--<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">-->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    <script src="https://kit.fontawesome.com/ecfa2fa507.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="/feed-page.css">
</head>

<body>

<!-- Navbar -->
<div class="w3-top">
    <div class="w3-bar w3-left-align w3-large backgroundColor">
        <a sec:authorize="isAuthenticated()" class="w3-bar-item w3-button w3-padding-large w3-hover-white"
           th:href="@{/feed}"><i class="fa fa-home"></i></a>
        <a th:href="@{/user}" class="w3-bar-item w3-button w3-hide-small w3-padding-large w3-hover-white"
           title="Account"><i class="fa fa-user"></i></a>
        <a th:href="@{/logout}" class="w3-bar-item w3-button w3-right w3-padding-large w3-hover-white"
           title="Log out"><i class="fas fa-sign-out-alt"></i></a>
        <a th:href="@{/admin}" sec:authorize="hasRole('ADMIN')
                    " class="w3-bar-item w3-button w3-hide-small w3-padding-large w3-hover-white"
           title="Admin portal">
            <i class="fas fa-user-shield" style="color: #FBB448"></i>
        </a>
    </div>
</div>
<!-- Navbar on small screens -->
<div id="navDemo" class="w3-bar-block w3-theme-d2 w3-hide w3-hide-large w3-hide-medium w3-large">
    <a href="#" class="w3-bar-item w3-button w3-padding-large">Link 1</a>
    <a href="#" class="w3-bar-item w3-button w3-padding-large">Link 2</a>
    <a href="#" class="w3-bar-item w3-button w3-padding-large">Link 3</a>
    <a href="#" class="w3-bar-item w3-button w3-padding-large">My Profile</a>
</div>


<!-- Page Container -->
<div class="w3-container w3-content" style="max-width:1400px;margin-top:80px">
    <!-- The Grid -->
    <div class="w3-row">
        <!-- Left Column -->
        <div class="w3-col m3">
            <!-- Profile -->
            <div class="w3-row-padding">
                <div class="w3-card w3-round-xlarge backgroundColor">
                    <div class="w3-container"><br>
                        <h4 class="w3-center" th:text="${user.getAlias()}">My Profile</h4><br>
                        <p class="w3-center"><img th:src="${user.picture.printData()}" class="w3-circle"
                                                  style="height:106px;width:106px;" alt="Avatar" src=""></p>
                        <hr>
                        <br>
                    </div>
                </div>
                <br>
            </div>
            <div class="w3-row-padding">
                <div class="w3-card w3-round-xlarge backgroundColor"
                     style="height: 350px; overflow-y: scroll;border-radius:10px;">
                    <div class="w3-container">
                        <br>
                        <div class="w3-center">
                            <h4>Users</h4>
                            <hr>
                        </div>
                        <div class="w3-center">
                            <input id="input" class="form-control w3-center" type="search" placeholder="Search"
                                   aria-label="Search" style="width: 100%">
                        </div>
                        <hr>
                        <br>
                        <div id="users-div"></div>
                    </div>
                </div>
            </div>
            <!-- End Left Column -->
        </div>

        <!-- Middle Column -->
        <div class="w3-col m6">

            <div class="w3-row-padding">
                <div class="w3-col m12">
                    <div class="w3-card w3-round backgroundColor">
                        <div class="w3-container w3-padding">
                            <h6 class="w3-opacity">Create new post</h6>
                            <div class="w3-right">
                                <p>Security: <span>  <label>
                                <select id="postSecure">
                                    <option value="false">Public</option>
                                    <option value="true">Private</option>
                                </select>
                            </label></span></p>
                            </div>
                        </div>
                        <div class="w3-row-padding">
                            <div class="w3-container">
                                <div>
                                    <form action="" enctype="multipart/form-data">
                                        <div>
                                            <h6 class="w3-opacity">Upload picture</h6>
                                            <input type="file" accept="image/*" style=""
                                                   id="postPhoto111" name="photo" placeholder="User photo"/>
                                            <input type="hidden" name="MAX_FILE_SIZE" value="2000000">
                                        </div>
                                        <br>
                                        <div>
                                            <p contenteditable="true" id="postValue" class="w3-padding"
                                               style="width:100%; border: solid black 1px"></p>
                                        </div>
                                        <button type="button" onclick="writePost()"
                                                class="w3-button w3-medium w3-round-large likeButton"><i
                                                class="fa fa-pencil"></i> Post
                                        </button>
                                        <br>
                                    </form>
                                    <br>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <div id="postDiv">


                <!-- End Middle Column -->
            </div>
        </div>

        <!-- Right Column -->
        <div class="w3-col m3">
            <div class="w3-card w3-round-large backgroundColor"
                 style="height: 280px; overflow-y: scroll;border-radius:10px;">
                <div class="w3-container"><br>
                    <div class="w3-center">
                        <h4>Friends list</h4>
                        <hr>
                        <br>
                    </div>
                    <div id="friendsDiv"></div>
                </div>
            </div>
            <br>

            <div style="height: 290px; overflow-y: scroll;border-radius:10px;">
                <div class="w3-card w3-round-large w3-center backgroundColor" th:unless="${friendRequests.isEmpty()}">
                    <br>
                    <div class="w3-container">
                        <div class="w3-center">
                            <h4 class="w3-center">Friend Request</h4><br>
                        </div>
                        <div th:each="friend:${friendRequests}">
                            <div class="w3-center">
                                <img th:src="${friend.getPicture().printData()}" class="w3-circle"
                                     style="height:90px;width:90px;" alt="Avatar" src=""><br>
                            </div>
                            <br>
                            <div class="w3-center">
                                <h5 th:text="${friend.alias}"></h5>
                            </div>
                            <div class="w3-row">
                                <div class="w3-half">
                                    <button th:id="${friend.id}"
                                            class="w3-button acceptBtn w3-block w3-green w3-section"
                                            onclick="acceptFriendRequest(this.id)" title="Accept"><i
                                            class="fa fa-check"></i></button>
                                </div>
                                <div class="w3-half">
                                    <button th:id="${friend.id}" class="w3-button w3-block w3-red w3-section"
                                            onclick="declineFriendRequest(this.id)" title="Decline"><i
                                            class="fa fa-remove"></i></button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <hr>
    <br><br>

    <!-- End Right Column -->
    <!-- End Grid -->
    <!-- End Page Container -->
</div>
<br>


<script
        src="https://code.jquery.com/jquery-3.4.1.js"
        integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU="
        crossorigin="anonymous"></script>
<script src="/JavaScript/userJS/user-feed-page.js"></script>
<script src="/JavaScript/userJS/user-friends-connection.js"></script>
<script src="/JavaScript/userJS/user-delete-comments.js"></script>
<script src="/JavaScript/userJS/user-dynamic-search.js"></script>
<script src="/JavaScript/userJS/user-get-users.js"></script>
<script src="/JavaScript/userJS/write-comment.js"></script>
<script src="/JavaScript/userJS/friend-requests.js"></script>
<script src="/JavaScript/userJS/new-post.js"></script>
<script src="/JavaScript/userJS/make-like.js"></script>
<script src="/JavaScript/userJS/get-comments.js"></script>
<script src="/JavaScript/userJS/make-comment-like.js"></script>
<script src="/JavaScript/userJS/user-update-comment.js"></script>
</body>
</html>

